de.esprit.netsuite.server.netch

## Class ServerConnectionService

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.netch.ServerConnectionService

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>
  Direct Known Subclasses:
    IOServerConnectionService

      public abstract class ServerConnectionService
      extends AbstractServerObject<ServerContext>

  This class ...
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnectionService(ServerContext serverCtx, StreamWrapper streamWrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected abstract AbstractServerTask<ServerContext>` | `createServiceTask()`
    `int` | `getPort()`
    `protected StreamWrapper` | `getStreamWrapper()`
    `void` | `start()` Starts listening on the data server port

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConnectionService

          public ServerConnectionService(ServerContext serverCtx,
                                 StreamWrapper streamWrapper)

  - ### Method Detail

    - #### getPort

          public final int getPort()

    - #### getStreamWrapper

          protected final StreamWrapper getStreamWrapper()

    - #### start

          public void start()
                     throws java.lang.Exception

      Starts listening on the data server port
      Throws:
        `java.lang.Exception` - if the serviceTask could not be submitted

    - #### close

          public void close()

    - #### createServiceTask

          protected abstract AbstractServerTask<ServerContext> createServiceTask()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.